DNS loop, >5,000 queries per second for minutes at a time

Bug #1672099 reported by Paul on 2017-03-11
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
dnsmasq (Ubuntu)
Low
Mathieu Trudel-Lapierre

Bug Description

Since upgrading a desktop to 17.04, several times a day a DNS storm occurs. The same A or AAAA record is requested over and over again. The storm lasts 10 to 15 minutes and can clog name resolution entirely, making the computer unusable for that time.

Mar 12 08:55:12 hostname systemd-resolved[1188]: Processing query...
Mar 12 08:55:13 hostname systemd-resolved[1188]: message repeated 5401 times: [ Processing query...]
Mar 12 08:55:13 hostname dnsmasq[1227]: Maximum number of concurrent DNS queries reached (max: 150)
Mar 12 08:55:13 hostname systemd-resolved[1188]: Processing query...
Mar 12 08:55:14 hostname kernel: [185434.365153] proc_thermal 0000:00:04.0: Unsupported event [0x84]
Mar 12 08:55:19 hostname systemd-resolved[1188]: message repeated 40288 times: [ Processing query...]
Mar 12 08:55:19 hostname dnsmasq[1227]: Maximum number of concurrent DNS queries reached (max: 150)
Mar 12 08:55:19 hostname systemd-resolved[1188]: Processing query...
Mar 12 08:55:25 hostname systemd-resolved[1188]: message repeated 44022 times: [ Processing query...]
Mar 12 08:55:25 hostname dnsmasq[1227]: Maximum number of concurrent DNS queries reached (max: 150)
Mar 12 08:55:25 hostname systemd-resolved[1188]: Processing query...
Mar 12 08:55:31 hostname systemd-resolved[1188]: message repeated 43874 times: [ Processing query...]

Both Firefox and Transmission originated hostnames have appeared in the storms, so it does not seem like an individual application is causing the problem.

There are so many requests that running tcpdump on a random port (port 29381 is used below) soon catches part of the storm. Example output below. Note that throughout the duration of these captures, identical DNS requests were being sent from pretty much every other port as well.

================================================================================
= Transmission looking up mgtracker.org, got stuck on this single hostname for =
= about 15 minutes (this is just the tail end of yesterday morning's storm). =
================================================================================

08:40:24.667302 IP localhost.29381 > 127.0.0.53.domain: 60802+% [1au] AAAA? mgtracker.org. (42)
E..F..@.@..........5r..5.2.y............ mgtracker.org.......)........
08:40:24.685708 IP 127.0.0.53.domain > localhost.29381: 60802 0/0/1 (42)
E..Fdd@.@......5.....5r..2.y............ mgtracker.org.......)........
08:40:33.580735 IP localhost.29381 > 127.0.0.53.domain: 53746+% [1au] A? mgtracker.org. (42)
E..F.+@.@.9F.......5r..5.2.y............ mgtracker.org.......)........
08:40:33.594830 IP 127.0.0.53.domain > localhost.29381: 53746 6/0/1 A 92.241.171.245, A 37.19.5.139, A 77.91.229.218, A 5.79.83.194, A 5.79.83.193, A 37.19.5.155 (138)
E.....@.@.t8...5.....5r................. mgtracker.org..............X..\............X..%............X..M[...........X...OS..........X...OS..........X..%.....)........
08:41:30.717640 IP localhost.29381 > 127.0.0.53.domain: 63667+% [1au] AAAA? mgtracker.org. (42)
E..F\.@.@..........5r..5.2.y............ mgtracker.org.......)........
08:41:30.733855 IP 127.0.0.53.domain > localhost.29381: 63667 0/0/1 (42)
E..F .@.@......5.....5r..2.y............ mgtracker.org.......)........
08:42:35.768840 IP localhost.29381 > 127.0.0.53.domain: 18342+% [1au] AAAA? mgtracker.org. (42)
E..FeH@.@..(.......5r..5.2.yG........... mgtracker.org.......)........
08:42:35.786098 IP 127.0.0.53.domain > localhost.29381: 18342 0/0/1 (42)
E..F)N@.@..#...5.....5r..2.yG........... mgtracker.org.......)........
08:42:38.568885 IP localhost.29381 > 127.0.0.53.domain: 43765+% [1au] AAAA? mgtracker.org. (42)
E..F..@.@.s........5r..5.2.y............ mgtracker.org.......)........
08:42:38.587299 IP 127.0.0.53.domain > localhost.29381: 43765 0/0/1 (42)
E..F..@.@......5.....5r..2.y............ mgtracker.org.......)........
08:42:41.348249 IP localhost.29381 > 127.0.0.53.domain: 39157+% [1au] A? mgtracker.org. (42)
E..F)Z@.@..........5r..5.2.y............ mgtracker.org.......)........
08:42:41.362068 IP 127.0.0.53.domain > localhost.29381: 39157 6/0/1 A 92.241.171.245, A 37.19.5.139, A 77.91.229.218, A 5.79.83.194, A 5.79.83.193, A 37.19.5.155 (138)
E....\@.@.N....5.....5r................. mgtracker.org.................\...............%...............M[...............OS..............OS.............%.....)........
08:42:47.230064 IP localhost.29381 > 127.0.0.53.domain: 2625+% [1au] AAAA? mgtracker.org. (42)
E..F T@.@.3........5r..5.2.y
A.......... mgtracker.org.......)........
08:42:47.246635 IP 127.0.0.53.domain > localhost.29381: 2625 0/0/1 (42)
E..F.Q@.@.o....5.....5r..2.y
A.......... mgtracker.org.......)........
08:42:47.538067 IP localhost.29381 > 127.0.0.53.domain: 36249+% [1au] AAAA? mgtracker.org. (42)
E..F..@.@.'........5r..5.2.y............ mgtracker.org.......)........
08:42:47.550399 IP 127.0.0.53.domain > localhost.29381: 36249 0/0/1 (42)
E..F..@.@.c....5.....5r..2.y............ mgtracker.org.......)........
08:42:47.658926 IP localhost.29381 > 127.0.0.53.domain: 15443+% [1au] A? mgtracker.org. (42)
E..F..@.@.!........5r..5.2.y<S.......... mgtracker.org.......)........
08:42:47.670848 IP 127.0.0.53.domain > localhost.29381: 15443 6/0/1 A 92.241.171.245, A 37.19.5.139, A 77.91.229.218, A 5.79.83.194, A 5.79.83.193, A 37.19.5.155 (138)
E.....@.@.]....5.....5r.....<S.......... mgtracker.org.................\...............%...............M[...............OS..............OS.............%.....)........

================================================================================
= Firefox looking up some domains during another storm this morning. =
================================================================================

08:55:13.567426 IP localhost.29381 > localhost.domain: 52018+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y.G@.@..........5r..5.E...2...........aviationweather.cp.ncep.noaa.gov.......)........
08:55:13.591351 IP localhost.domain > localhost.29381: 52018 1/0/1 A 140.90.101.207 (77)
E..i.E@.@......5.....5r..U...2...........aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:56:04.754953 IP localhost.29381 > localhost.domain: 21979+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y5.@.@..X.......5r..5.E..U............aviationweather.cp.ncep.noaa.gov.......)........
08:56:04.776098 IP localhost.domain > localhost.29381: 21979 1/0/1 A 140.90.101.207 (77)
E..ia.@.@......5.....5r..U..U............aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:56:10.980068 IP localhost.29381 > localhost.domain: 17884+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y..@.@.\w.......5r..5.E..E............aviationweather.cp.ncep.noaa.gov.......)........
08:56:11.005673 IP localhost.domain > localhost.29381: 17884 1/0/1 A 140.90.101.207 (77)
E..i.]@.@./....5.....5r..U..E............aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:56:15.449304 IP localhost.29381 > localhost.domain: 21310+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..YZO@.@..........5r..5.E..S>...........aviationweather.cp.ncep.noaa.gov.......)........
08:56:15.471077 IP localhost.domain > localhost.29381: 21310 1/0/1 A 140.90.101.207 (77)
E..i..@.@......5.....5r..U..S>...........aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:56:29.442977 IP localhost.29381 > localhost.domain: 64194+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y..@.@.qE.......5r..5.E...............aviationweather.cp.ncep.noaa.gov.......)........
08:56:29.464671 IP localhost.domain > localhost.29381: 64194 1/0/1 A 140.90.101.207 (77)
E..i.b@.@.D....5.....5r..U...............aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:56:32.390547 IP localhost.29381 > localhost.domain: 29586+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y..@.@.'........5r..5.E..s............aviationweather.cp.ncep.noaa.gov.......)........
08:56:32.408757 IP localhost.domain > localhost.29381: 29586 1/0/1 A 140.90.101.207 (77)
E..iA.@.@..I...5.....5r..U..s............aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:57:19.830164 IP localhost.29381 > localhost.domain: 16537+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Yt.@.@..........5r..5.E..@............aviationweather.cp.ncep.noaa.gov.......)........
08:57:19.850795 IP localhost.domain > localhost.29381: 16537 1/0/1 A 140.90.101.207 (77)
E..i..@.@......5.....5r..U..@............aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:57:32.355881 IP localhost.29381 > localhost.domain: 12311+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y..@.@.Z........5r..5.E..0............aviationweather.cp.ncep.noaa.gov.......)........
08:57:32.375506 IP localhost.domain > localhost.29381: 12311 1/0/1 A 140.90.101.207 (77)
E..i.u@.@......5.....5r..U..0............aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:57:37.705655 IP localhost.29381 > localhost.domain: 62772+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y{.@.@..i.......5r..5.E...4...........aviationweather.cp.ncep.noaa.gov.......)........
08:57:37.730938 IP localhost.domain > localhost.29381: 62772 1/0/1 A 140.90.101.207 (77)
E..i..@.@......5.....5r..U...4...........aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:57:39.953843 IP localhost.29381 > localhost.domain: 36938+% [1au] A? aviationweather.cp.ncep.noaa.gov. (61)
E..Y..@.@.}........5r..5.E...J...........aviationweather.cp.ncep.noaa.gov.......)........
08:57:39.974394 IP localhost.domain > localhost.29381: 36938 1/0/1 A 140.90.101.207 (77)
E..i.c@.@.Q....5.....5r..U...J...........aviationweather.cp.ncep.noaa.gov..................Ze...)........
08:58:41.947124 IP localhost.29381 > localhost.domain: 23753+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.$........5r..5.H..\............sanfrancisco.tile.openstreetmap.org.......)........
08:58:41.966164 IP localhost.domain > localhost.29381: 23753 1/0/1 A 64.62.205.202 (80)
E..lC.@.@..8...5.....5r..X..\............sanfrancisco.tile.openstreetmap.org.................@>....)........
08:58:48.859735 IP localhost.29381 > localhost.domain: 30950+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.
@.@.=P.......5r..5.H..x............sanfrancisco.tile.openstreetmap.org.......)........
08:58:48.875436 IP localhost.domain > localhost.29381: 30950 1/0/1 A 64.62.205.202 (80)
E..l*D@.@......5.....5r..X..x............sanfrancisco.tile.openstreetmap.org.................@>....)........
08:59:04.399981 IP localhost.29381 > localhost.domain: 42722+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.R@.@." .......5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
08:59:04.422187 IP localhost.domain > localhost.29381: 42722 1/0/1 A 64.62.205.202 (80)
E..lE.@.@......5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
08:59:58.680607 IP localhost.29381 > localhost.domain: 62516+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\3<@.@. ........5r..5.H...4...........sanfrancisco.tile.openstreetmap.org.......)........
08:59:58.700674 IP localhost.domain > localhost.29381: 62516 1/0/1 A 64.62.205.202 (80)
E..l^.@.@..+...5.....5r..X...4...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:00:26.116063 IP localhost.29381 > localhost.domain: 19376+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.9@.@.o!.......5r..5.H..K............sanfrancisco.tile.openstreetmap.org.......)........
09:00:26.130413 IP localhost.domain > localhost.29381: 19376 1/0/1 A 64.62.205.202 (80)
E..l..@.@.DN...5.....5r..X..K............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:00:40.524692 IP localhost.29381 > localhost.domain: 45764+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@..........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:00:40.542471 IP localhost.domain > localhost.29381: 45764 1/0/1 A 64.62.205.202 (80)
E..l.y@.@.`....5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:01:08.932316 IP localhost.29381 > localhost.domain: 52440+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\z
@.@..P.......5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:01:08.952420 IP localhost.domain > localhost.29381: 52440 1/0/1 A 64.62.205.202 (80)
E..l..@.@......5.....5r..X...............sanfrancisco.tile.openstreetmap.org..............p..@>....)........
09:01:31.526697 IP localhost.29381 > localhost.domain: 9148+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@..r.......5r..5.H..#............sanfrancisco.tile.openstreetmap.org.......)........
09:01:31.543163 IP localhost.domain > localhost.29381: 9148 1/0/1 A 64.62.205.202 (80)
E..l.a@.@......5.....5r..X..#............sanfrancisco.tile.openstreetmap.org..............Z..@>....)........
09:01:44.111992 IP localhost.29381 > localhost.domain: 23334+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\1.@.@.
c.......5r..5.H..[&...........sanfrancisco.tile.openstreetmap.org.......)........
09:01:44.130461 IP localhost.domain > localhost.29381: 23334 1/0/1 A 64.62.205.202 (80)
E..l\e@.@......5.....5r..X..[&...........sanfrancisco.tile.openstreetmap.org..............M..@>....)........
09:01:57.386374 IP localhost.29381 > localhost.domain: 16506+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.i@.@.G........5r..5.H..@z...........sanfrancisco.tile.openstreetmap.org.......)........
09:01:57.400469 IP localhost.domain > localhost.29381: 16506 1/0/1 A 64.62.205.202 (80)
E..l..@.@......5.....5r..X..@z...........sanfrancisco.tile.openstreetmap.org..............@..@>....)........
09:02:00.813958 IP localhost.29381 > localhost.domain: 23044+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\k.@.@..p.......5r..5.H..Z............sanfrancisco.tile.openstreetmap.org.......)........
09:02:00.828533 IP localhost.domain > localhost.29381: 23044 1/0/1 A 64.62.205.202 (80)
E..l.K@.@......5.....5r..X..Z............sanfrancisco.tile.openstreetmap.org..............<..@>....)........
09:02:57.705977 IP localhost.29381 > localhost.domain: 21566+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.J@.@.M........5r..5.H..T>...........sanfrancisco.tile.openstreetmap.org.......)........
09:02:57.728736 IP localhost.domain > localhost.29381: 21566 1/0/1 A 64.62.205.202 (80)
E..l.f@.@."....5.....5r..X..T>...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:04.441183 IP localhost.29381 > localhost.domain: 38929+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.}@.@..........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:03:04.454171 IP localhost.domain > localhost.29381: 38929 1/0/1 A 64.62.205.202 (80)
E..l.~@.@.h....5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:06.707936 IP localhost.29381 > localhost.domain: 10488+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.HR.......5r..5.H..(............sanfrancisco.tile.openstreetmap.org.......)........
09:03:06.728850 IP localhost.domain > localhost.29381: 10488 1/0/1 A 64.62.205.202 (80)
E..l..@.@..E...5.....5r..X..(............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:31.070106 IP localhost.29381 > localhost.domain: 14688+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\5.@.@..|.......5r..5.H..9`...........sanfrancisco.tile.openstreetmap.org.......)........
09:03:31.085980 IP localhost.domain > localhost.29381: 14688 1/0/1 A 64.62.205.202 (80)
E..l_.@.@......5.....5r..X..9`...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:32.041339 IP localhost.29381 > localhost.domain: 45179+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\W @.@..:.......5r..5.H...{...........sanfrancisco.tile.openstreetmap.org.......)........
09:03:32.060103 IP localhost.domain > localhost.29381: 45179 1/0/1 A 64.62.205.202 (80)
E..l..@.@..D...5.....5r..X...{...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:37.686102 IP localhost.29381 > localhost.domain: 31210+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.!........5r..5.H..y............sanfrancisco.tile.openstreetmap.org.......)........
09:03:37.700049 IP localhost.domain > localhost.29381: 31210 1/0/1 A 64.62.205.202 (80)
E..lD.@.@......5.....5r..X..y............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:42.473236 IP localhost.29381 > localhost.domain: 54061+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.r@.@..........5r..5.H...-...........sanfrancisco.tile.openstreetmap.org.......)........
09:03:42.489891 IP localhost.domain > localhost.29381: 54061 1/0/1 A 64.62.205.202 (80)
E..l.H@.@.W....5.....5r..X...-...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:42.908138 IP localhost.29381 > localhost.domain: 55861+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.p@.@.p........5r..5.H...5...........sanfrancisco.tile.openstreetmap.org.......)........
09:03:42.923952 IP localhost.domain > localhost.29381: 55861 1/0/1 A 64.62.205.202 (80)
E..l.F@.@.G....5.....5r..X...5...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:44.660896 IP localhost.29381 > localhost.domain: 12799+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.4........5r..5.H..1............sanfrancisco.tile.openstreetmap.org.......)........
09:03:44.678664 IP localhost.domain > localhost.29381: 12799 1/0/1 A 64.62.205.202 (80)
E..l1Y@.@.
....5.....5r..X..1............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:03:56.294391 IP localhost.29381 > localhost.domain: 53591+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.e@.@..........5r..5.H...W...........sanfrancisco.tile.openstreetmap.org.......)........
09:03:56.313080 IP localhost.domain > localhost.29381: 53591 1/0/1 A 64.62.205.202 (80)
E..l.-@.@.w....5.....5r..X...W...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:04:32.624420 IP localhost.29381 > localhost.domain: 59514+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\~.@.@..........5r..5.H...z...........sanfrancisco.tile.openstreetmap.org.......)........
09:04:32.642294 IP localhost.domain > localhost.29381: 59514 1/0/1 A 64.62.205.202 (80)
E..l..@.@......5.....5r..X...z...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:05:05.429955 IP localhost.29381 > localhost.domain: 22509+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.n\.......5r..5.H..W............sanfrancisco.tile.openstreetmap.org.......)........
09:05:05.443735 IP localhost.domain > localhost.29381: 22509 1/0/1 A 64.62.205.202 (80)
E..l..@.@.D....5.....5r..X..W............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:05:22.123273 IP localhost.29381 > localhost.domain: 32521+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.,........5r..5.H... ...........sanfrancisco.tile.openstreetmap.org.......)........
09:05:22.137798 IP localhost.domain > localhost.29381: 32521 1/0/1 A 64.62.205.202 (80)
E..l9G@.@......5.....5r..X... ...........sanfrancisco.tile.openstreetmap.org..............s..@>....)........
09:05:48.950874 IP localhost.29381 > localhost.domain: 16613+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@..........5r..5.H..@............sanfrancisco.tile.openstreetmap.org.......)........
09:05:48.967800 IP localhost.domain > localhost.29381: 16613 1/0/1 A 64.62.205.202 (80)
E..l..@.@.lY...5.....5r..X..@............sanfrancisco.tile.openstreetmap.org..............X..@>....)........
09:05:49.420645 IP localhost.29381 > localhost.domain: 27506+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@..........5r..5.H..kr...........sanfrancisco.tile.openstreetmap.org.......)........
09:05:49.434688 IP localhost.domain > localhost.29381: 27506 1/0/1 A 64.62.205.202 (80)
E..l..@.@.\8...5.....5r..X..kr...........sanfrancisco.tile.openstreetmap.org..............X..@>....)........
09:06:03.379766 IP localhost.29381 > localhost.domain: 373+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@..........5r..5.H...u...........sanfrancisco.tile.openstreetmap.org.......)........
09:06:03.399737 IP localhost.domain > localhost.29381: 373 1/0/1 A 64.62.205.202 (80)
E..l..@.@..g...5.....5r..X...u...........sanfrancisco.tile.openstreetmap.org..............J..@>....)........
09:06:47.955097 IP localhost.29381 > localhost.domain: 53692+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\e?@.@..........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:06:47.969567 IP localhost.domain > localhost.29381: 53692 1/0/1 A 64.62.205.202 (80)
E..l.Y@.@......5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:06:48.806333 IP localhost.29381 > localhost.domain: 28298+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.d@.@..........5r..5.H..n............sanfrancisco.tile.openstreetmap.org.......)........
09:06:48.825068 IP localhost.domain > localhost.29381: 28298 1/0/1 A 64.62.205.202 (80)
E..l.~@.@......5.....5r..X..n............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:08.821857 IP localhost.29381 > localhost.domain: 13512+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\$.@.@..}.......5r..5.H..4............sanfrancisco.tile.openstreetmap.org.......)........
09:07:08.837695 IP localhost.domain > localhost.29381: 13512 1/0/1 A 64.62.205.202 (80)
E..lM.@.@..e...5.....5r..X..4............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:11.109391 IP localhost.29381 > localhost.domain: 58386+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\p.@.@..`.......5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:07:11.123844 IP localhost.domain > localhost.29381: 58386 1/0/1 A 64.62.205.202 (80)
E..l..@.@..L...5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:22.878949 IP localhost.29381 > localhost.domain: 62206+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.7........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:07:22.886164 IP localhost.domain > localhost.29381: 62206 1/0/1 A 64.62.205.202 (80)
E..l-.@.@......5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:25.775497 IP localhost.29381 > localhost.domain: 28687+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\c!@.@..9.......5r..5.H..p............sanfrancisco.tile.openstreetmap.org.......)........
09:07:25.782854 IP localhost.domain > localhost.29381: 28687 1/0/1 A 64.62.205.202 (80)
E..l..@.@..7...5.....5r..X..p............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:27.175548 IP localhost.29381 > localhost.domain: 52270+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.t@.@..........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:07:27.184556 IP localhost.domain > localhost.29381: 52270 1/0/1 A 64.62.205.202 (80)
E..l.d@.@......5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:38.128008 IP localhost.29381 > localhost.domain: 51468+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.V........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:07:38.136841 IP localhost.domain > localhost.29381: 51468 1/0/1 A 64.62.205.202 (80)
E..l..@.@.-....5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:42.760834 IP localhost.29381 > localhost.domain: 20397+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\[.@.@..h.......5r..5.H..O............sanfrancisco.tile.openstreetmap.org.......)........
09:07:42.769813 IP localhost.domain > localhost.29381: 20397 1/0/1 A 64.62.205.202 (80)
E..l..@.@......5.....5r..X..O............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:44.234479 IP localhost.29381 > localhost.domain: 27850+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\{.@.@..........5r..5.H..l............sanfrancisco.tile.openstreetmap.org.......)........
09:07:44.244694 IP localhost.domain > localhost.29381: 27850 1/0/1 A 64.62.205.202 (80)
E..l.j@.@......5.....5r..X..l............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:07:49.091319 IP localhost.29381 > localhost.domain: 23804+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.A........5r..5.H..\............sanfrancisco.tile.openstreetmap.org.......)........
09:07:49.101446 IP localhost.domain > localhost.29381: 23804 1/0/1 A 64.62.205.202 (80)
E..l#v@.@......5.....5r..X..\............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:08:29.309149 IP localhost.29381 > localhost.domain: 39759+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.O@.@.E........5r..5.H...O...........sanfrancisco.tile.openstreetmap.org.......)........
09:08:29.344659 IP localhost.domain > localhost.29381: 39759 1/0/1 A 64.62.205.202 (80)
E..l..@.@..z...5.....5r..X...O...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:08:41.407525 IP localhost.29381 > localhost.domain: 1015+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.)........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:08:41.428300 IP localhost.domain > localhost.29381: 1015 1/0/1 A 64.62.205.202 (80)
E..l; @.@..B...5.....5r..X...............sanfrancisco.tile.openstreetmap.org.................@>....)........
09:08:58.485782 IP localhost.29381 > localhost.domain: 49447+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.>........5r..5.H...'...........sanfrancisco.tile.openstreetmap.org.......)........
09:08:58.503912 IP localhost.domain > localhost.29381: 49447 1/0/1 A 64.62.205.202 (80)
E..l%.@.@..V...5.....5r..X...'...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:09:01.636611 IP localhost.29381 > localhost.domain: 10346+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\JU@.@..........5r..5.H..(j...........sanfrancisco.tile.openstreetmap.org.......)........
09:09:01.672173 IP localhost.domain > localhost.29381: 10346 1/0/1 A 64.62.205.202 (80)
E..lr.@.@......5.....5r..X..(j...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:09:15.308277 IP localhost.29381 > localhost.domain: 56260+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.3@.@..'.......5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:09:15.325246 IP localhost.domain > localhost.29381: 56260 1/0/1 A 64.62.205.202 (80)
E..l.]@.@.u....5.....5r..X...............sanfrancisco.tile.openstreetmap.org..............v..@>....)........
09:09:18.492612 IP localhost.29381 > localhost.domain: 60634+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\.\@.@.M........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:09:18.512739 IP localhost.domain > localhost.29381: 60634 1/0/1 A 64.62.205.202 (80)
E..l..@.@.%....5.....5r..X...............sanfrancisco.tile.openstreetmap.org..............s..@>....)........
09:09:27.528824 IP localhost.29381 > localhost.domain: 64525+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.sR.......5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:09:27.558032 IP localhost.domain > localhost.29381: 64525 1/0/1 A 64.62.205.202 (80)
E..l..@.@.K7...5.....5r..X...............sanfrancisco.tile.openstreetmap.org..............j..@>....)........
09:10:27.693593 IP localhost.29381 > localhost.domain: 21058+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\"x@.@..........5r..5.H..RB...........sanfrancisco.tile.openstreetmap.org.......)........
09:10:27.713255 IP localhost.domain > localhost.29381: 21058 1/0/1 A 64.62.205.202 (80)
E..lJ/@.@......5.....5r..X..RB...........sanfrancisco.tile.openstreetmap.org.................@>....)........
09:10:36.734357 IP localhost.29381 > localhost.domain: 42425+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\Lt@.@..........5r..5.H...............sanfrancisco.tile.openstreetmap.org.......)........
09:10:36.752909 IP localhost.domain > localhost.29381: 42425 1/0/1 A 64.62.205.202 (80)
E..lt.@.@......5.....5r..X...............sanfrancisco.tile.openstreetmap.org..............$..@>....)........
09:10:40.697269 IP localhost.29381 > localhost.domain: 19295+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\..@.@.d........5r..5.H..K_...........sanfrancisco.tile.openstreetmap.org.......)........
09:10:40.713775 IP localhost.domain > localhost.29381: 19295 1/0/1 A 64.62.205.202 (80)
E..l."@.@.=(...5.....5r..X..K_...........sanfrancisco.tile.openstreetmap.org..............!..@>....)........
09:11:51.961509 IP localhost.29381 > localhost.domain: 49988+% [1au] A? sanfrancisco.tile.openstreetmap.org. (64)
E..\E.@.@..........5r..5.H...D...........sanfrancisco.tile.openstreetmap.org.......)........
09:11:51.977236 IP localhost.domain > localhost.29381: 49988 1/0/1 A 64.62.205.202 (80)
E..lm.@.@..9...5.....5r..X...D...........sanfrancisco.tile.openstreetmap.org.................@>....)........

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: dnsmasq 2.76-5
ProcVersionSignature: Ubuntu 4.10.0-11.13-generic 4.10.1
Uname: Linux 4.10.0-11-generic x86_64
ApportVersion: 2.20.4-0ubuntu2
Architecture: amd64
Date: Sun Mar 12 09:23:38 2017
InstallationDate: Installed on 2016-12-02 (98 days ago)
InstallationMedia: Ubuntu-GNOME 16.10 "Yakkety Yak" - Release amd64 (20161012.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_AU:en
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
SourcePackage: dnsmasq
UpgradeStatus: No upgrade log present (probably fresh install)

Paul (i41bktob-launchpad-net) wrote :
Paul (i41bktob-launchpad-net) wrote :

Restarting dnsmasq immediately stops an ongoing DNS storm.

Whenever the set of servers to which dnsmasq is forwarding queries
changes, the whole set is logged to syslog. It would be useful to have
that information.

On 13/03/17 00:01, Paul wrote:
> Restarting dnsmasq immediately stops an ongoing DNS storm.
>
The actual upstream server used can change unpredictably, so that's no
surprise.

Cheers,

Simon.

Paul (i41bktob-launchpad-net) wrote :
Download full text (3.5 KiB)

There aren't any such entries in syslog, presumably because I had hardcoded two upstream servers (208.67.222.222 and 208.67.220.220) using the GUI Wi-Fi settings dialog in 16.10 and they're not changing. Oddly, I can't see that setting in the 17.04 dialog, even though "systemd-resolve --status" correctly reports them:

Global
         DNS Servers: 127.0.0.1
          DNSSEC NTA: 10.in-addr.arpa
                      16.172.in-addr.arpa
                      168.192.in-addr.arpa
                      17.172.in-addr.arpa
                      18.172.in-addr.arpa
                      19.172.in-addr.arpa
                      20.172.in-addr.arpa
                      21.172.in-addr.arpa
                      22.172.in-addr.arpa
                      23.172.in-addr.arpa
                      24.172.in-addr.arpa
                      25.172.in-addr.arpa
                      26.172.in-addr.arpa
                      27.172.in-addr.arpa
                      28.172.in-addr.arpa
                      29.172.in-addr.arpa
                      30.172.in-addr.arpa
                      31.172.in-addr.arpa
                      corp
                      d.f.ip6.arpa
                      home
                      internal
                      intranet
                      lan
                      local
                      private
                      test

Link 2 (wlp2s0)
      Current Scopes: DNS LLMNR/IPv4 LLMNR/IPv6
       LLMNR setting: yes
MulticastDNS setting: no
      DNSSEC setting: allow-downgrade
    DNSSEC supported: no
         DNS Servers: 208.67.222.222
                      208.67.220.220
          DNS Domain: local

The requests against the upstream server are disturbingly fast, I'm surprised I haven't been blacklisted yet.

19:40:12.000415 IP hostname.50776 > resolver1.opendns.com.domain: 42051+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
E..Q..@.@........C...X.5.=nB.C...........4.1.168.192.in-addr.arpa.......)........
19:40:12.000920 IP hostname.59219 > resolver1.opendns.com.domain: 14223+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
E..Q..@.@........C...S.5.=..7............4.1.168.192.in-addr.arpa.......)........
19:40:12.001411 IP hostname.51647 > resolver1.opendns.com.domain: 2501+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
E..Q..@.@........C.....5.=.Z ............4.1.168.192.in-addr.arpa.......)........
19:40:12.001885 IP hostname.33104 > resolver1.opendns.com.domain: 30929+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
E..Q..@.@........C...P.5.=..x............4.1.168.192.in-addr.arpa.......)........
19:40:12.002412 IP hostname.47231 > resolver1.opendns.com.domain: 46563+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
E..Q..@.@........C.....5.=j{.............4.1.168.192.in-addr.arpa.......)........
19:40:12.004238 IP hostname.57292 > resolver1.opendns.com.domain: 61082+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
E..Q..@.@........C.....5.=
w.............4.1.168.192.in-addr.arpa.......)........
19:40:12.008187 IP hostname.49786 > resolver1.opendns.com.domain: 14681+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
E..Q..@.@........C...z.5.=.
9Y...........4.1.168.192.in-addr.arpa.......)........
19:40:12.008926 IP hostname.53171 > resolver1.o...

Read more...

Simon Kelley (simon-thekelleys) wrote :
Download full text (3.9 KiB)

Are we clear that this is a dnsmasq problem, and not a systemd-resolved
one? Can you add --log-queries to the dnsmasq configuration and see what
dnsmasq is doing? That should demonstrate if the loop is dnsmasq
forwarding to itself, of if the problem is something else.

Cheers,

Simon.

On 13/03/17 08:46, Paul wrote:
> There aren't any such entries in syslog, presumably because I had
> hardcoded two upstream servers (208.67.222.222 and 208.67.220.220) using
> the GUI Wi-Fi settings dialog in 16.10 and they're not changing. Oddly,
> I can't see that setting in the 17.04 dialog, even though "systemd-
> resolve --status" correctly reports them:
>
> Global
> DNS Servers: 127.0.0.1
> DNSSEC NTA: 10.in-addr.arpa
> 16.172.in-addr.arpa
> 168.192.in-addr.arpa
> 17.172.in-addr.arpa
> 18.172.in-addr.arpa
> 19.172.in-addr.arpa
> 20.172.in-addr.arpa
> 21.172.in-addr.arpa
> 22.172.in-addr.arpa
> 23.172.in-addr.arpa
> 24.172.in-addr.arpa
> 25.172.in-addr.arpa
> 26.172.in-addr.arpa
> 27.172.in-addr.arpa
> 28.172.in-addr.arpa
> 29.172.in-addr.arpa
> 30.172.in-addr.arpa
> 31.172.in-addr.arpa
> corp
> d.f.ip6.arpa
> home
> internal
> intranet
> lan
> local
> private
> test
>
> Link 2 (wlp2s0)
> Current Scopes: DNS LLMNR/IPv4 LLMNR/IPv6
> LLMNR setting: yes
> MulticastDNS setting: no
> DNSSEC setting: allow-downgrade
> DNSSEC supported: no
> DNS Servers: 208.67.222.222
> 208.67.220.220
> DNS Domain: local
>
> The requests against the upstream server are disturbingly fast, I'm
> surprised I haven't been blacklisted yet.
>
> 19:40:12.000415 IP hostname.50776 > resolver1.opendns.com.domain: 42051+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
> E..Q..@.@........C...X.5.=nB.C...........4.1.168.192.in-addr.arpa.......)........
> 19:40:12.000920 IP hostname.59219 > resolver1.opendns.com.domain: 14223+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
> E..Q..@.@........C...S.5.=..7............4.1.168.192.in-addr.arpa.......)........
> 19:40:12.001411 IP hostname.51647 > resolver1.opendns.com.domain: 2501+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
> E..Q..@.@........C.....5.=.Z ............4.1.168.192.in-addr.arpa.......)........
> 19:40:12.001885 IP hostname.33104 > resolver1.opendns.com.domain: 30929+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
> E..Q..@.@........C...P.5.=..x............4.1.168.192.in-addr.arpa.......)........
> 19:40:12.002412 IP hostname.47231 > resolver1.opendns.com.domain: 46563+% [1au] PTR? 4.1.168.192.in-addr.arpa. (53)
> E..Q..@.@........C.....5.=j{.............4.1.168.192.in-addr.arpa.......)........
> ...

Read more...

Paul (i41bktob-launchpad-net) wrote :

I have cpulimit(1) watching dnsmasq now, so it only goes berserk for a second before being killed, but the attached syslog extract captures the moments before and during the DNS storm. These particular lookups are mostly originated by Transmission, but previously the storms have happened when there were no Transmission processes running, with queries from Firefox or perhaps some unidentified Gnome weather applet.

Simon Kelley (simon-thekelleys) wrote :

Ok, so the amplification is arising from dnsmasq looping queries around
127.0.0.1 -> 127.0.0.53 -> 127.0.0.1 -> .........

It would be really useful to get dnsmasq's idea of what it's upstreams
are. We know that 127.0.0.1 is in the list from your previous post, and
I guess that dnsmasq has successfully worked out not to use that as it
loops back to itself. It's very likely that it didn't work out that
127.0.0.53 also loops back to itself too, but it's not clear how that's
getting into the list of upstreams.

This is starting to look like an Ubuntu/systemd plumbing problem, rather
than a dnsmasq bug.

Simon.

On 14/03/17 11:15, Paul wrote:
> I have cpulimit(1) watching dnsmasq now, so it only goes berserk for a
> second before being killed, but the attached syslog extract captures the
> moments before and during the DNS storm. These particular lookups are
> mostly originated by Transmission, but previously the storms have
> happened when there were no Transmission processes running, with queries
> from Firefox or perhaps some unidentified Gnome weather applet.
>
> ** Attachment added: "syslog_dns_storm.txt"
> https://bugs.launchpad.net/ubuntu/+source/dnsmasq/+bug/1672099/+attachment/4837521/+files/syslog_dns_storm.txt
>

Simon Kelley (simon-thekelleys) wrote :

Looking again. the loop probably involves systemd-resolverd too, dnsmasq
forwards to 127.0.0.53 which is systemd-resolverd, and systemd-resolverd
then returns it to dnsmasq at 127.0.0.1

Why, oh why is Ubuntu running both?

Cheers,

Simon.

On 14/03/17 11:15, Paul wrote:
> I have cpulimit(1) watching dnsmasq now, so it only goes berserk for a
> second before being killed, but the attached syslog extract captures the
> moments before and during the DNS storm. These particular lookups are
> mostly originated by Transmission, but previously the storms have
> happened when there were no Transmission processes running, with queries
> from Firefox or perhaps some unidentified Gnome weather applet.
>
> ** Attachment added: "syslog_dns_storm.txt"
> https://bugs.launchpad.net/ubuntu/+source/dnsmasq/+bug/1672099/+attachment/4837521/+files/syslog_dns_storm.txt
>

Paul (i41bktob-launchpad-net) wrote :

I just found that I can reproduce this loop state by reconnecting to my Wi-Fi access point. The storm starts right after this line, 5 seconds after the link comes up:

systemd-resolved[1188]: Server 127.0.0.1 does not support DNSSEC, downgrading to non-DNSSEC mode.

The (much shorter this time) syslog extract is attached.

The only reference I can find to 127.0.0.53 in the settings (other than comment lines) is in /run/resolvconf/interface/systemd-resolved:

nameserver 127.0.0.53

So I also don't know how dnsmasq gets that address unless it reads that config file for some reason (no mention of it in source), derives it from an incoming request, or gets it via D-Bus.

Robie Basak (racb) wrote :

I asked on IRC:

18:15 <slangasek> rbasak: AFAIK dnsmasq is dropped out of the default DNS stack again in 17.04, so that shouldn't be happening?
18:15 <slangasek> certainly, resolved+networkd+resolvconf+dnsmasq might have bugs like this
18:15 <slangasek> but that's not the config we're supposed to be shipping

So I think dnsmasq isn't supposed to be the default on 17.04. Since this is a non-default configuration, I'll set Importance to Low.

Changed in dnsmasq (Ubuntu):
importance: Undecided → Low
Steve Langasek (vorlon) wrote :

What are the contents of /etc/resolv.conf when this happens?

What is the output of 'dpkg -l dnsmasq\*'?

What are the contents of /etc/NetworkManager/NetworkManager.conf?

Your bug report shows that this system was installed with 16.10 media and then upgraded to 17.04. How long ago did you upgrade? Have you rebooted since upgrading?

Changed in dnsmasq (Ubuntu):
status: New → Incomplete

Where does the dnsmasq package come from that is listening on 127.0.0.1? dnsmasq should normally not be listening on that address if it was spawned by NetworkManager.

Do you have the 'dnsmasq' package installed instead of dnsmasq-base? dnsmasq-base can be used in a variety of scenarios as a local nameserver and/or for lxc/libvirt and other uses.

dnsmasq ships a service file which by default might conflict with resolved. If you need dnsmasq to run a nameserver on that system, you would have to make sure the configuration of the whole system is such that both would not conflict.

This can be achieved in two different ways:
 - Setting DNS= in resolved if you want to use resolved as an authoritative nameserver to provide dnsmasq with the information it needs (but not circle back to dnsmasq).
 - Setting 'no-resolv' and possibly other settings for the dnsmasq instance, such that it doesn't go ask systemd-resolved for nameservers, and that it does not update resolv.conf if it should not.

Changed in dnsmasq (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Paul (i41bktob-launchpad-net) wrote :

You're right, it turns out dnsmasq was only installed because I had installed polipo, which depends on the dnsmasq package. Purging polipo removes dnsmasq.

I have been running polipo (with config files unmodified from default) for several years, including since fresh installing Ubuntu-Gnome 16.10. Only since the upgrade to 17.04 two weeks ago has this problem emerged. Presumably it will hit every user who installs polipo or dnsmasq in 17.04.

$ cat /etc/hosts
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
# 127.0.0.53 is the systemd-resolved stub resolver.
# run "systemd-resolve --status" to see details about the actual nameservers.

nameserver 127.0.0.1
$
$ dpkg -l dnsmasq\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii dnsmasq 2.76-5 all Small caching DNS proxy and DHCP/
ii dnsmasq-base 2.76-5 amd64 Small caching DNS proxy and DHCP/
$
$ cat /etc/NetworkManager/NetworkManager.conf
[main]
plugins=ifupdown,keyfile

[ifupdown]
managed=false

Dim1triy (dimon-ostr) wrote :

The same problem arises, only when in dnsmasq I register local addresses on the virtual local server

address=/.dev/192.168.56.20

Pieter (diepes) wrote :

Fixed my dnsmasq systemd-resolve race with dnsmasq config.

/etc/dnsmasq.d/myconfig
#PES 20180808 dnsmasq and systemd-resolve conflict.
# dont use /etc/resolv.conf, go direct to systemd-resolve, only bind to lo
no-resolv
bind-interfaces
interface=lo
server=127.0.0.53

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers